--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: TEST_URL
  value: "'https://demo.viaklix.com/process.asp'"
- !ruby/object:RI::Constant 
  comment: 
  name: LIVE_URL
  value: "'https://www.viaklix.com/process.asp'"
- !ruby/object:RI::Constant 
  comment: 
  name: APPROVED
  value: "'0'"
full_name: ActiveMerchant::Billing::ViaklixGateway
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: credit
- !ruby/object:RI::MethodSummary 
  name: purchase
name: ViaklixGateway
superclass: Gateway
